// DateTime.h: interface for the CDateTime class.
//
//////////////////////////////////////////////////////////////////////
#pragma once
#include <string_view>
#include "DllDefines.h"

class UTILITYDLL CDateTime
{
public:
    //  default constructor
    CDateTime();

    //  default destructor
    virtual ~CDateTime();

    //  get Date in double in Day/Month/Year/Hours/Minutes/Sec format
    static double GetDateInDMYHMS(std::string csDate);

    //  get Date in double in Day/Month/Year/Hours/Minutes/Sec format
    static COleDateTime GetDateTimeInDMYHMS(std::string csString);
};
